package com.steerinfo.meterwork.meterworkcomparespot.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

@ApiModel(value="null")
public class MeterWorkCompareSpot implements IBasePO<String> {
    /**
     * 主键(COMPARE_SPOT_ID,VARCHAR,20)
     */
    @ApiModelProperty(value="主键",required=true)
    private String compareSpotId;

    /**
     * 数据状态(0：作废，1：未使用， 2：正使用)(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="数据状态(0：作废，1：未使用， 2：正使用)",required=false)
    private String valueFlag;

    /**
     * 创建人(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createTime;

    /**
     * 修改人(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 创建人手机号(CREATE_MAN_PHONE,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人手机号",required=false)
    private String createManPhone;

    /**
     * 修改人手机号码(UPDATE_MAN_PHONE,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人手机号码",required=false)
    private String updateManPhone;

    /**
     * 车号(CAR_NO,VARCHAR,10)
     */
    @ApiModelProperty(value="车号",required=false)
    private String carNo;

    /**
     * 重量1(WEIGHT_NUM1,DECIMAL,15)
     */
    @ApiModelProperty(value="重量1",required=false)
    private Long weightNum1;

    /**
     * 时间1(WEIGHT_DATE1,TIMESTAMP,7)
     */
    @ApiModelProperty(value="时间1",required=false)
    private Date weightDate1;

    /**
     * 重量2(WEIGHT_NUM2,DECIMAL,15)
     */
    @ApiModelProperty(value="重量2",required=false)
    private Long weightNum2;

    /**
     * 时间2(WEIGHT_DATE2,TIMESTAMP,7)
     */
    @ApiModelProperty(value="时间2",required=false)
    private Date weightDate2;

    /**
     * 重量3(WEIGHT_NUM3,DECIMAL,15)
     */
    @ApiModelProperty(value="重量3",required=false)
    private Long weightNum3;

    /**
     * 时间3(WEIGHT_DATE3,TIMESTAMP,7)
     */
    @ApiModelProperty(value="时间3",required=false)
    private Date weightDate3;

    /**
     * 重量4(WEIGHT_NUM4,DECIMAL,15)
     */
    @ApiModelProperty(value="重量4",required=false)
    private Long weightNum4;

    /**
     * 时间4(WEIGHT_DATE4,TIMESTAMP,7)
     */
    @ApiModelProperty(value="时间4",required=false)
    private Date weightDate4;

    /**
     * 重量5(WEIGHT_NUM5,DECIMAL,15)
     */
    @ApiModelProperty(value="重量5",required=false)
    private Long weightNum5;

    /**
     * 时间5(WEIGHT_DATE5,TIMESTAMP,7)
     */
    @ApiModelProperty(value="时间5",required=false)
    private Date weightDate5;

    /**
     * 计量点编号1(BASE_SPOT_NO1,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号1",required=false)
    private String baseSpotNo1;

    /**
     * 计量点名称1(BASE_SPOT_NAME1,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称1",required=false)
    private String baseSpotName1;

    /**
     * 计量点编号2(BASE_SPOT_NO2,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号2",required=false)
    private String baseSpotNo2;

    /**
     * 计量点名称2(BASE_SPOT_NAME2,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称2",required=false)
    private String baseSpotName2;

    /**
     * 计量点编号3(BASE_SPOT_NO3,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号3",required=false)
    private String baseSpotNo3;

    /**
     * 计量点名称3(BASE_SPOT_NAME3,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称3",required=false)
    private String baseSpotName3;

    /**
     * 计量点编号4(BASE_SPOT_NO4,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号4",required=false)
    private String baseSpotNo4;

    /**
     * 计量点名称4(BASE_SPOT_NAME4,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称4",required=false)
    private String baseSpotName4;

    /**
     * 计量点编号5(BASE_SPOT_NO5,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号5",required=false)
    private String baseSpotNo5;

    /**
     * 计量点名称5(BASE_SPOT_NAME5,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称5",required=false)
    private String baseSpotName5;

    /**
     * 较称类型（1:断差；2：较称）(COMPARE_TYPE,VARCHAR,1)
     */
    @ApiModelProperty(value="较称类型（1:断差；2：较称）",required=false)
    private String compareType;

    /**
     * 预约主键(SCALE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="预约主键",required=false)
    private String scaleNo;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.compareSpotId;
    }

    @Override
    public void setId(String compareSpotId) {
        this.compareSpotId = compareSpotId == null ? null : compareSpotId.trim();
    }

    public String getCompareSpotId() {
        return compareSpotId;
    }

    public void setCompareSpotId(String compareSpotId) {
        this.compareSpotId = compareSpotId == null ? null : compareSpotId.trim();
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCreateManPhone() {
        return createManPhone;
    }

    public void setCreateManPhone(String createManPhone) {
        this.createManPhone = createManPhone == null ? null : createManPhone.trim();
    }

    public String getUpdateManPhone() {
        return updateManPhone;
    }

    public void setUpdateManPhone(String updateManPhone) {
        this.updateManPhone = updateManPhone == null ? null : updateManPhone.trim();
    }

    public String getCarNo() {
        return carNo;
    }

    public void setCarNo(String carNo) {
        this.carNo = carNo == null ? null : carNo.trim();
    }

    public Long getWeightNum1() {
        return weightNum1;
    }

    public void setWeightNum1(Long weightNum1) {
        this.weightNum1 = weightNum1;
    }

    public Date getWeightDate1() {
        return weightDate1;
    }

    public void setWeightDate1(Date weightDate1) {
        this.weightDate1 = weightDate1;
    }

    public Long getWeightNum2() {
        return weightNum2;
    }

    public void setWeightNum2(Long weightNum2) {
        this.weightNum2 = weightNum2;
    }

    public Date getWeightDate2() {
        return weightDate2;
    }

    public void setWeightDate2(Date weightDate2) {
        this.weightDate2 = weightDate2;
    }

    public Long getWeightNum3() {
        return weightNum3;
    }

    public void setWeightNum3(Long weightNum3) {
        this.weightNum3 = weightNum3;
    }

    public Date getWeightDate3() {
        return weightDate3;
    }

    public void setWeightDate3(Date weightDate3) {
        this.weightDate3 = weightDate3;
    }

    public Long getWeightNum4() {
        return weightNum4;
    }

    public void setWeightNum4(Long weightNum4) {
        this.weightNum4 = weightNum4;
    }

    public Date getWeightDate4() {
        return weightDate4;
    }

    public void setWeightDate4(Date weightDate4) {
        this.weightDate4 = weightDate4;
    }

    public Long getWeightNum5() {
        return weightNum5;
    }

    public void setWeightNum5(Long weightNum5) {
        this.weightNum5 = weightNum5;
    }

    public Date getWeightDate5() {
        return weightDate5;
    }

    public void setWeightDate5(Date weightDate5) {
        this.weightDate5 = weightDate5;
    }

    public String getBaseSpotNo1() {
        return baseSpotNo1;
    }

    public void setBaseSpotNo1(String baseSpotNo1) {
        this.baseSpotNo1 = baseSpotNo1 == null ? null : baseSpotNo1.trim();
    }

    public String getBaseSpotName1() {
        return baseSpotName1;
    }

    public void setBaseSpotName1(String baseSpotName1) {
        this.baseSpotName1 = baseSpotName1 == null ? null : baseSpotName1.trim();
    }

    public String getBaseSpotNo2() {
        return baseSpotNo2;
    }

    public void setBaseSpotNo2(String baseSpotNo2) {
        this.baseSpotNo2 = baseSpotNo2 == null ? null : baseSpotNo2.trim();
    }

    public String getBaseSpotName2() {
        return baseSpotName2;
    }

    public void setBaseSpotName2(String baseSpotName2) {
        this.baseSpotName2 = baseSpotName2 == null ? null : baseSpotName2.trim();
    }

    public String getBaseSpotNo3() {
        return baseSpotNo3;
    }

    public void setBaseSpotNo3(String baseSpotNo3) {
        this.baseSpotNo3 = baseSpotNo3 == null ? null : baseSpotNo3.trim();
    }

    public String getBaseSpotName3() {
        return baseSpotName3;
    }

    public void setBaseSpotName3(String baseSpotName3) {
        this.baseSpotName3 = baseSpotName3 == null ? null : baseSpotName3.trim();
    }

    public String getBaseSpotNo4() {
        return baseSpotNo4;
    }

    public void setBaseSpotNo4(String baseSpotNo4) {
        this.baseSpotNo4 = baseSpotNo4 == null ? null : baseSpotNo4.trim();
    }

    public String getBaseSpotName4() {
        return baseSpotName4;
    }

    public void setBaseSpotName4(String baseSpotName4) {
        this.baseSpotName4 = baseSpotName4 == null ? null : baseSpotName4.trim();
    }

    public String getBaseSpotNo5() {
        return baseSpotNo5;
    }

    public void setBaseSpotNo5(String baseSpotNo5) {
        this.baseSpotNo5 = baseSpotNo5 == null ? null : baseSpotNo5.trim();
    }

    public String getBaseSpotName5() {
        return baseSpotName5;
    }

    public void setBaseSpotName5(String baseSpotName5) {
        this.baseSpotName5 = baseSpotName5 == null ? null : baseSpotName5.trim();
    }

    public String getCompareType() {
        return compareType;
    }

    public void setCompareType(String compareType) {
        this.compareType = compareType == null ? null : compareType.trim();
    }

    public String getScaleNo() {
        return scaleNo;
    }

    public void setScaleNo(String scaleNo) {
        this.scaleNo = scaleNo == null ? null : scaleNo.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", compareSpotId=").append(compareSpotId);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", createManPhone=").append(createManPhone);
        sb.append(", updateManPhone=").append(updateManPhone);
        sb.append(", carNo=").append(carNo);
        sb.append(", weightNum1=").append(weightNum1);
        sb.append(", weightDate1=").append(weightDate1);
        sb.append(", weightNum2=").append(weightNum2);
        sb.append(", weightDate2=").append(weightDate2);
        sb.append(", weightNum3=").append(weightNum3);
        sb.append(", weightDate3=").append(weightDate3);
        sb.append(", weightNum4=").append(weightNum4);
        sb.append(", weightDate4=").append(weightDate4);
        sb.append(", weightNum5=").append(weightNum5);
        sb.append(", weightDate5=").append(weightDate5);
        sb.append(", baseSpotNo1=").append(baseSpotNo1);
        sb.append(", baseSpotName1=").append(baseSpotName1);
        sb.append(", baseSpotNo2=").append(baseSpotNo2);
        sb.append(", baseSpotName2=").append(baseSpotName2);
        sb.append(", baseSpotNo3=").append(baseSpotNo3);
        sb.append(", baseSpotName3=").append(baseSpotName3);
        sb.append(", baseSpotNo4=").append(baseSpotNo4);
        sb.append(", baseSpotName4=").append(baseSpotName4);
        sb.append(", baseSpotNo5=").append(baseSpotNo5);
        sb.append(", baseSpotName5=").append(baseSpotName5);
        sb.append(", compareType=").append(compareType);
        sb.append(", scaleNo=").append(scaleNo);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}